Comment 38 for bug 885492

Solution #28 is not good for me, because it wants to install ia32-libs, meaning virtually *all* i386 will be installed:

# sudo getlibs -p gnome-keyring:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following package was automatically installed and is no longer required:
  python-bluez
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  bluez-alsa:i386 glib-networking:i386 gstreamer0.10-plugins-base:i386 gstreamer0.10-plugins-good:i386
  gstreamer0.10-x:i386 gtk2-engines:i386 gtk2-engines-murrine:i386 gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386
  gvfs:i386 gvfs-libs:i386 ia32-libs-multiarch:i386 ibus-gtk:i386 libaa1:i386 libaio1:i386 libao-common libao4:i386
  libatk1.0-0:i386 libaudio2:i386 libaudiofile1:i386 libavc1394-0:i386 libcairo-gobject2:i386 libcairo2:i386
  libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libcanberra0:i386 libcap2:i386 libcdparanoia0:i386
  libcupsimage2:i386 libcurl3:i386 libdatrie1:i386 libdbus-glib-1-2:i386 libdv4:i386 libesd0:i386 libgail-common:i386
  libgail18:i386 libgconf-2-4:i386 libgdbm3:i386 libgdk-pixbuf2.0-0:i386 libgtk2.0-0:i386 libgudev-1.0-0:i386
  libibus-1.0-0:i386 libidn11:i386 libiec61883-0:i386 libjasper1:i386 libmng1:i386 libmysqlclient18:i386 libnspr4:i386
  libnss3:i386 libodbc1:i386 libpango1.0-0:i386 libpixman-1-0:i386 libproxy1:i386 libpulse-mainloop-glib0:i386
  libpulsedsp:i386 libqt4-dbus:i386 libqt4-declarative:i386 libqt4-designer:i386 libqt4-network:i386
  libqt4-opengl:i386 libqt4-qt3support:i386 libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386
  libqt4-sql-mysql:i386 libqt4-svg:i386 libqt4-test:i386 libqt4-xml:i386 libqt4-xmlpatterns:i386 libqtcore4:i386
  libqtgui4:i386 libqtwebkit4:i386 libraw1394-11:i386 librsvg2-2:i386 librsvg2-common:i386 librtmp0:i386
  libsdl-net1.2:i386 libsdl-ttf2.0-0:i386 libshout3:i386 libsoup-gnome2.4-1:i386 libsoup2.4-1:i386 libspeex1:i386
  libssl0.9.8:i386 libstdc++5:i386 libtag1-vanilla:i386 libtag1c2a:i386 libtdb1:i386 libthai0:i386 libtheora0:i386
  libvisual-0.4-0:i386 libvisual-0.4-plugins:i386 libwavpack1:i386 libxaw7:i386 libxcb-render0:i386 libxcb-shm0:i386
  libxft2:i386 libxmu6:i386 libxp6:i386 libxss1:i386 libxtst6:i386 libxv1:i386 odbcinst1debian2:i386 xaw3dg:i386
Suggested packages:
  murrine-themes:i386 kde-config-gtk-style:i386 libpam-ldap:i386 libpam-winbind:i386 libnss-ldap:i386 libroar1:i386
  libsndio0:i386 roaraudio-server:i386 nas:i386 libcanberra-pulse:i386 libdv-bin:i386 pulseaudio-esound-compat:i386
  libjasper-runtime:i386 libmyodbc:i386 odbc-postgresql:i386 tdsodbc:i386 unixodbc-bin:i386 ttf-baekmuk:i386
  ttf-arphic-gbsn00lp:i386 ttf-arphic-bsmi00lp:i386 ttf-arphic-gkai00mp:i386 ttf-arphic-bkai00mp:i386
  libqt4-declarative-folderlistmodel:i386 libqt4-declarative-gestures:i386 libqt4-declarative-particles:i386
  libqt4-declarative-shaders:i386 qt4-qmlviewer:i386 libqt4-dev:i386 qt4-qtconfig:i386 libraw1394-doc:i386
  librsvg2-bin:i386 speex:i386
The following NEW packages will be installed:
  bluez-alsa:i386 glib-networking:i386 gstreamer0.10-plugins-base:i386 gstreamer0.10-plugins-good:i386
  gstreamer0.10-x:i386 gtk2-engines:i386 gtk2-engines-murrine:i386 gtk2-engines-oxygen:i386 gtk2-engines-pixbuf:i386
  gvfs:i386 gvfs-libs:i386 ia32-libs ia32-libs-multiarch:i386 ibus-gtk:i386 libaa1:i386 libaio1:i386 libao-common
  libao4:i386 libatk1.0-0:i386 libaudio2:i386 libaudiofile1:i386 libavc1394-0:i386 libcairo-gobject2:i386
  libcairo2:i386 libcanberra-gtk-module:i386 libcanberra-gtk0:i386 libcanberra0:i386 libcap2:i386 libcdparanoia0:i386
  libcupsimage2:i386 libcurl3:i386 libdatrie1:i386 libdbus-glib-1-2:i386 libdv4:i386 libesd0:i386 libgail-common:i386
  libgail18:i386 libgconf-2-4:i386 libgdbm3:i386 libgdk-pixbuf2.0-0:i386 libgtk2.0-0:i386 libgudev-1.0-0:i386
  libibus-1.0-0:i386 libidn11:i386 libiec61883-0:i386 libjasper1:i386 libmng1:i386 libmysqlclient18:i386 libnspr4:i386
  libnss3:i386 libodbc1:i386 libpango1.0-0:i386 libpixman-1-0:i386 libproxy1:i386 libpulse-mainloop-glib0:i386
  libpulsedsp:i386 libqt4-dbus:i386 libqt4-declarative:i386 libqt4-designer:i386 libqt4-network:i386
  libqt4-opengl:i386 libqt4-qt3support:i386 libqt4-script:i386 libqt4-scripttools:i386 libqt4-sql:i386
  libqt4-sql-mysql:i386 libqt4-svg:i386 libqt4-test:i386 libqt4-xml:i386 libqt4-xmlpatterns:i386 libqtcore4:i386
  libqtgui4:i386 libqtwebkit4:i386 libraw1394-11:i386 librsvg2-2:i386 librsvg2-common:i386 librtmp0:i386
  libsdl-net1.2:i386 libsdl-ttf2.0-0:i386 libshout3:i386 libsoup-gnome2.4-1:i386 libsoup2.4-1:i386 libspeex1:i386
  libssl0.9.8:i386 libstdc++5:i386 libtag1-vanilla:i386 libtag1c2a:i386 libtdb1:i386 libthai0:i386 libtheora0:i386
  libvisual-0.4-0:i386 libvisual-0.4-plugins:i386 libwavpack1:i386 libxaw7:i386 libxcb-render0:i386 libxcb-shm0:i386
  libxft2:i386 libxmu6:i386 libxp6:i386 libxss1:i386 libxtst6:i386 libxv1:i386 odbcinst1debian2:i386 xaw3dg:i386
0 upgraded, 104 newly installed, 0 to remove and 0 not upgraded.
Need to get 37,9 MB of archives.
After this operation, 131 MB of additional disk space will be used.
Do you want to continue [Y/n]? n

I choose 'n' here. getlibs continued:

Abort.

The following i386 packages will be installed: gnome-keyring:i386
Continue [Y/n]? y
Downloading ...
Installing libraries ...

and I got back to the prompt. However, no gnome-keyring lib has been installed.